GNU bug report logs - #37615
27.0.50; package-test-macro-compilation fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; Keywords: fixed; merged with #42534; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 26 Dec 2020 22:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 26 17:01:01 2020
Received: from localhost ([127.0.0.1]:60041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ktHcT-0005O0-Db
	for submit <at> debbugs.gnu.org; Sat, 26 Dec 2020 17:01:01 -0500
Received: from quimby.gnus.org ([95.216.78.240]:54090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1ktHcD-0005N2-Mz; Sat, 26 Dec 2020 17:01:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yuOPUzW8RdscTgN8EVeoGRzHkNRQKz/sT88vQtf9zic=; b=XgnANGo7vgrFUIdg0F48q1nnMX
 BgZi18C0VebOEuNkUa2tlSxsbh67KYdhRQP3AnKeYEr0lujTukvnqSxuYVtnExCpED64taFXfLKnI
 tybluiJGsrghL3zShwNXe1b4dvl0OcHVOh4kqQZ7v0XMr/chWhoMUgv7R7YJ6gawCEpw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ktHc4-0000Lz-G5; Sat, 26 Dec 2020 23:00:39 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
 <83ft3unww5.fsf@HIDDEN> <87a6u1fzhu.fsf@HIDDEN>
 <83tus9mxcm.fsf@HIDDEN> <871rfdef43.fsf@HIDDEN>
 <83mty1m060.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUGAwQ1TFgiHycT
 DhU0JjpRZ2hVeYNri42grY6Mk2SUVx1ziXPByJ4oUIv///+ana8kAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+QMGhU1KDY8ohkAAADgSURBVDjLY2AYBfQBjAo4JBQFsIszC4rgMCk0DLtZ5mlpAVglwsvL
 SrCJs7SXl5cZYIozuXcAZWYtQpNidgyM6GjfGpoYPWsVkhyzY6gQw4yO7q2hgUDmzlWrnCByiqFC
 BgysJzo6doeGKjAw696tnrlqFQODiqgISF6j4wxIC8jzzIp303cyiIpAfBXRceYEUCIFYrbKXQao
 Z5lmdpw5AzILajMzzH7W3VAJ9ID0hkkko/lje0XPmTMn2rellaL5OzQ0NHpraKigIMwSogEzqRro
 BZhJlsAABLxGvEGUAwADOkOmFZcKowAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMC0xMi0yNlQyMTo1
 Mzo0MCswMDowMLgwpvUAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTItMjZUMjE6NTM6NDArMDA6
 MDDJbR5JAAAAAElFTkSuQmCC
X-Now-Playing: Pink Floyd's _The Dark Side Of The Moon_: "Money"
Date: Sat, 26 Dec 2020 23:00:35 +0100
In-Reply-To: <83mty1m060.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Dec
 2020 10:39:03 +0200")
Message-ID: <87tus89qik.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > In my case,
 the problem
 was that MS-Windows (in the version I run > here) produces short 8+3 alias
 file names for long directory names,
 > the file name for temporary-file-directory
 didn't compare eq [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> In my case, the problem was that MS-Windows (in the version I run
> here) produces short 8+3 alias file names for long directory names,
> the file name for temporary-file-directory didn't compare equal to
> what Emacs expected, exactly as on macOS; file-truename fixed that.

Ah, I see.  Apparently the Windows setup I'm using (for Emacs build
tests) isn't doing the 8+3 thing (Windows 10 with msys2/mingw shell).

Anyway, thanks for checking; closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 42534 <at> debbugs.gnu.org and Philipp <p.stephani2@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 26 Dec 2020 08:39:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 26 03:39:25 2020
Received: from localhost ([127.0.0.1]:58674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kt56j-0001m4-7q
	for submit <at> debbugs.gnu.org; Sat, 26 Dec 2020 03:39:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1kt56h-0001ll-8W; Sat, 26 Dec 2020 03:39:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57284)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kt56c-000517-05; Sat, 26 Dec 2020 03:39:18 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3788
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kt56b-0005WR-DC; Sat, 26 Dec 2020 03:39:17 -0500
Date: Sat, 26 Dec 2020 10:39:03 +0200
Message-Id: <83mty1m060.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <871rfdef43.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 25 Dec 2020 22:43:24 +0100)
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
 <83ft3unww5.fsf@HIDDEN> <87a6u1fzhu.fsf@HIDDEN>
 <83tus9mxcm.fsf@HIDDEN> <871rfdef43.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Artur Malabarba <bruce.connor.am@HIDDEN>,  37615 <at> debbugs.gnu.org,
>   42534 <at> debbugs.gnu.org
> Date: Fri, 25 Dec 2020 22:43:24 +0100
> 
> The problem on Macos seems to be that it's comparing file-truenames, but
> that's not what's in the load history.  For instance,
> "/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD/macro-problem-1.0/macro-problem-autoloads"
> is in load-history, but it's finding conflicts by truenaming:
> 
> (file-truename "/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD/macro-problem-1.0/macro-problem-autoloads")
> => "/private/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD/macro-problem-1.0/macro-problem-autoloads"
> 
> And indeed:
> 
> larsi@open-catalina test % ls -ld /var
> lrwxr-xr-x@ 1 root  admin  11 Dec 18 15:11 /var -> private/var
> 
> The following seems to fix the problem for me on Macos and doesn't lead
> to any breakages on Debian, so I'm pushing it now.  Can you check
> whether this fixes the problem on Windows?

Yes, thanks.

In my case, the problem was that MS-Windows (in the version I run
here) produces short 8+3 alias file names for long directory names,
the file name for temporary-file-directory didn't compare equal to
what Emacs expected, exactly as on macOS; file-truename fixed that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 25 Dec 2020 21:43:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 16:43:45 2020
Received: from localhost ([127.0.0.1]:58318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksusD-00016F-BD
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 16:43:45 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1ksusB-00015r-G4; Fri, 25 Dec 2020 16:43:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eep0+F+3ruO69qbKw6cDAvEokdFqHDVRRxBDD46nU3I=; b=tsFkXvC24MRP8rBU3V5KM8+0Jg
 nTjmHxLIaQ0mIvC+WK4byRLrjAuNtcO0LbaXkMOt45LbFIUTjfk8oEuHuISmRpecYtx0tkVRUxJ4z
 fhIgSLLMG/bz7CLWR4tmzzjhojsnHuPweAVlk36/kI94YszkV1Gng4JhusWjyNzO/n5I=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ksurt-0007XC-Pf; Fri, 25 Dec 2020 22:43:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
 <83ft3unww5.fsf@HIDDEN> <87a6u1fzhu.fsf@HIDDEN>
 <83tus9mxcm.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEX9/fy4sLDg2tPp
 2KjpvEp2cHrZZj/////TMevdAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QMGRUEANdhor8AAAGASURB
 VDjL7VKxctswDIUgZxch2zMAyZklkZfZERnPtnPK3MY+/f8nhLSktHU79K4Z+xYe8Qjw4QEA//EX
 oK8rlemvd9QUQEC+IwRJQRlE7hLcs5JG4u49iAuegAvkHxlJOJbqAltLDAPPccXb1xACt4YAT8vv
 nAhpIkESlWUDzSm3g0oMoeeNgYeTUf3MyKSE7XWPw1l3Z1M1N52gIqSVvvkDt4XNzjLVip0aQ9i+
 jE9XwKPujqmbhAIj4Z4Po71QdlRinAmN4No/jRf/2saikNHSh7fe9lU9Xte2gJ/cyl0Ivvf5xa9d
 VMwqsRQakBpscN6vLrp2rR72mIjdMAyrrs9r1+Vjv3YdrQqQAmDTbs4xWrcB8PG9tvU+MCVVm+22
 FKNCDWD9nneiTjE58lC5MLkFrE1JGi37lqW+K9/A1CoyEHN+Dd9vRHSaxRRJ9TRif+p1Wg4jZDiP
 Li6DM8sIkcw8lfluPollZLk2XcpZnsxxZURt/rCbCl+N37b6H/EBY+85T+BIkIEAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjAtMTItMjVUMjE6MDQ6MDArMDA6MDCGOavGAAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIwLTEyLTI1VDIxOjA0OjAwKzAwOjAw92QTegAAAABJRU5ErkJggg==
X-Now-Playing: Crosby, Stills, Nash & Young's _So Far_: "Suite: Judy Blue Eyes"
Date: Fri, 25 Dec 2020 22:43:24 +0100
In-Reply-To: <83tus9mxcm.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 25 Dec
 2020 22:42:17 +0200")
Message-ID: <871rfdef43.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: The problem on Macos seems to be that it's comparing
 file-truenames, 
 but that's not what's in the load history. For instance,
 "/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org,
 Artur Malabarba <bruce.connor.am@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The problem on Macos seems to be that it's comparing file-truenames, but
that's not what's in the load history.  For instance,
"/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD/macro-problem-1.0/macro-problem-autoloads"
is in load-history, but it's finding conflicts by truenaming:

(file-truename "/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD/macro-problem-1.0/macro-problem-autoloads")
=> "/private/var/folders/l4/brbf3lnd693fpdl8bn87q5w80000gn/T/pkg-test-user-dir-FaftUD/macro-problem-1.0/macro-problem-autoloads"

And indeed:

larsi@open-catalina test % ls -ld /var
lrwxr-xr-x@ 1 root  admin  11 Dec 18 15:11 /var -> private/var

The following seems to fix the problem for me on Macos and doesn't lead
to any breakages on Debian, so I'm pushing it now.  Can you check
whether this fixes the problem on Windows?

diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
index 0170e61e12..bc450b09d0 100644
--- a/lisp/emacs-lisp/package.el
+++ b/lisp/emacs-lisp/package.el
@@ -830,7 +830,7 @@ package--files-load-history
         (mapcar (lambda (x)
                   (let ((f (car x)))
                     (and (stringp f)
-                         (file-name-sans-extension f))))
+                         (file-name-sans-extension (file-truename f)))))
                 load-history)))
 
 (defun package--list-of-conflicts (dir history)


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 25 Dec 2020 20:49:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 15:49:44 2020
Received: from localhost ([127.0.0.1]:58267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksu1w-00088E-DE
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 15:49:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1ksu1u-00087d-Dl; Fri, 25 Dec 2020 15:49:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=i92HnfZXvuYdDfOpzdWY32qd2YE//464679hA43oR+w=; b=pn5apuCOW0iKMjkK2NpjvXwc1M
 NA52dfwN6c4h5YRm2Zpgkr5+hTG3HUMtmyPGsPk85wJ77kbEuqmezmDGaLb03GTCGfDY70GRB6Mh3
 T8BKDk7TLqnG/yQyrjbif2wmVE5JCkPp7wj6eF0OipteZFTVT5NdbfeZUGXBnQJRKA8M=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ksu1l-00075r-AQ; Fri, 25 Dec 2020 21:49:35 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
 <83ft3unww5.fsf@HIDDEN> <87a6u1fzhu.fsf@HIDDEN>
 <83tus9mxcm.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVNHBlwSymUXCQz
 GRLAk0r///+AteMNAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QMGRQqJg+pRFkAAAGVSURBVDjLrZTb
 dcMwCEBBLCAkD2DTDIDDBHG1/0wFO/IjTT56TvlwZF/xhgD8SfL65I88jQRQcAQhQJz0ADzJWERy
 EkkgfujAzyOWFaY8+cvJ3Pjm5IJ7JPjifhoxM/AI5QWIsMjk5svVwymrfxF5Y34NdLm1K8DfGrk/
 7c09FwsBrzCQ2VHbeDuL4gXoDg4f272up6BXYNSBdfD8Ej/wdHHSCKn6FRoD5F0jbgKS1lAb1sg3
 jeJMGw/tYYaN6x6vuM4s0lozGlqqW5ZItni4cymt3SpJS71lNi92r6kMt1zyzLspsiI1kcrAdP/W
 oY1T1wAlJsOSLX0RC49HtZQ55lbnGhXpIJLDoIiYATnvGl4Ot2bRI87MPSiESH1to49jLvhMA8LK
 XLObosJAiD3xrb5Y3Qcvrox0BqA16AqO79HXFcyPML3Pw9aNyXulD4/uGKbnEKivZ3a6Aw9ntWWl
 dNA7qOF+Jl+sHM1HmQ6gkMDurO4YpT2OKfF/ADKOSH2vb5epZ2RmzH6/LS8bEgX04n7Yny4/6PdH
 7AKsn3wAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMTItMjVUMjA6NDI6MzgrMDA6MDBbCDgCAAAA
 JXRFWHRkYXRlOm1vZGlmeQAyMDIwLTEyLTI1VDIwOjQyOjM4KzAwOjAwKlWAvgAAAABJRU5ErkJg
 gg==
X-Now-Playing: Crosby, Stills, Nash & Young's =?utf-8?B?X0TDqWrDoA==?= Vu_:
 "Our House"
Date: Fri, 25 Dec 2020 21:49:31 +0100
In-Reply-To: <83tus9mxcm.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 25 Dec
 2020 22:42:17 +0200")
Message-ID: <87a6u1ehlw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I cannot understand
 why this happens on MS-Windows, but not on > GNU/Linux. The test that fails
 is this: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org,
 Artur Malabarba <bruce.connor.am@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I cannot understand why this happens on MS-Windows, but not on
> GNU/Linux.

The test that fails is this:

(ert-deftest package-test-macro-compilation ()
  "Install a package which includes a dependency."
  (with-package-test (:basedir (ert-resource-directory))
    (package-install-file (expand-file-name "macro-problem-package-1.0/"))
    (require 'macro-problem)
    ;; `macro-problem-func' uses a macro from `macro-aux'.
    (should (equal (macro-problem-func) '(progn a b)))
    (package-install-file (expand-file-name "macro-problem-package-2.0/"))
    ;; After upgrading, `macro-problem-func' depends on a new version
    ;; of the macro from `macro-aux'.
    (should (equal (macro-problem-func) '(1 b)))
    ;; `macro-problem-10-and-90' depends on an entirely new macro from `macro-aux'.
    (should (equal (macro-problem-10-and-90) '(10 90)))))

The thing that doesn't work is:

    (package-install-file (expand-file-name "macro-problem-package-2.0/"))

This does not reload the files, and that's because
package--load-files-for-activation doesn't reload them.  Which is
because package--list-loaded-files doesn't identify the files as
something that needs to be reloaded, as far as I can tell.

That function does a whole lot of comparison of file paths, and my guess
is that whatever it's doing (I'm having a hard time following the logic)
only works on GNU/Linux systems.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 25 Dec 2020 20:42:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 15:42:47 2020
Received: from localhost ([127.0.0.1]:58240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kstvC-0007x1-MA
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 15:42:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1kstvA-0007wj-M5; Fri, 25 Dec 2020 15:42:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46751)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kstv5-0003zF-DS; Fri, 25 Dec 2020 15:42:39 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3813
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kstv3-0000BH-O3; Fri, 25 Dec 2020 15:42:38 -0500
Date: Fri, 25 Dec 2020 22:42:17 +0200
Message-Id: <83tus9mxcm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 Artur Malabarba <bruce.connor.am@HIDDEN>
In-Reply-To: <87a6u1fzhu.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 25 Dec 2020 20:37:49 +0100)
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
 <83ft3unww5.fsf@HIDDEN> <87a6u1fzhu.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37615 <at> debbugs.gnu.org,  42534 <at> debbugs.gnu.org
> Date: Fri, 25 Dec 2020 20:37:49 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >      FAILED  23/32  package-test-macro-compilation (0.953125 sec)

First signs of trouble are here:

  In macro-problem-10-and-90:
  macro-problem.el:27:45: Warning: reference to free variable `hehe'

  In end of data:
  macro-problem.el:31:1: Warning: the function `macro-aux-3' is not known to be
      defined.

I cannot understand why this happens on MS-Windows, but not on
GNU/Linux.

> I'm getting this failure instead (on a brand new msys2/mingw
> installation): 
> 
> 1 unexpected results:
>    FAILED  package-test-signed

On my system this is skipped because gpg2 is not installed.

> > I'm happy to provide more details if needed, or debug this more given
> > some instructions.
> 
> I'm pretty unfamiliar with package.el and wholly unfamiliar with
> Windows, so I'll leave that to somebody else.

CC'ing the author of package-tests in the hope that he could suggest
some ideas for fixing this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 25 Dec 2020 19:38:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 14:38:07 2020
Received: from localhost ([127.0.0.1]:58159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kssuc-0006O3-Sv
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 14:38:07 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1kssua-0006NV-V6; Fri, 25 Dec 2020 14:38:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0cribODPf08hrWjf+PUVUGLdH73e0V5GMFaJ1/3QAPE=; b=rMWpGk4bM58ACCkE1LHatZA2mu
 +FJFBBOg2K7AItu/OyRTLTSI8yG2EAErMY9k1unJfp/GAm1CqLMf32q+HJmUMKY2hq2dSXVonyrDM
 gVXujz3x7nGvQG/VY+hFW+0bVDfRyQ0D0F2k9LgaD2fcG+Ms2eVvIrwPA6DmpKNvlz9Y=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kssuM-0006Fw-FL; Fri, 25 Dec 2020 20:37:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
 <83ft3unww5.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUeGiYZGCRKRFaU
 jqL///9LoHcYAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+QMGRMaGWPGSRIAAAF/SURBVDjLrZPZkeUw
 CEUBJwBMAggl8EbKP7e5km15me7+aqpcljlsBkH0EmYlg7zVdsrbAdZKw4dIMgNPJuGFg48z7yAX
 yBPoI4wS067iK4exqt3kMvdiLEt/heJs4lt7OSCwtpGzlaeD/yVqLumF1csN9A9xpaxSzBPgrNZb
 RQ4OUtsy8srBNZvaKFdqbXeQdQSwhMU2c5xJPFyaUAQasspiMvIUabVECF0/IhzGsWU2VFTNGZVR
 0QHIMjYBQJvV42OihWaoY258xMe3Ho1FMnuIrkF/Bdj+l2+BHRfjZ6CvUHyCxM/dPdYZ96bcwbIS
 NOENNBCxmM7JxZl8gNwtHuDwMJ2z3kjinMf0yGGJUDWy3ZMPIITu1tyBHYAADEXpWIqjVTnvdsZY
 lh1APSLMupAyPaCT3kLxec4DGZr0PkBHEZRrOch7H6DDAyAu8KfXjkWYYK2GTo9xOwE+tJZmFuw9
 4eLZy3PHoa19l7FBu1Jy6Xpr9VC/7s01D/s18A+NIkXz2+gi+wAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMC0xMi0yNVQxOToyNjoyNSswMDowMOzfHFYAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTIt
 MjVUMTk6MjY6MjUrMDA6MDCdgqTqAAAAAElFTkSuQmCC
X-Now-Playing: Neil Young & Crazy Horse's _Rust Never Sleeps_: "Hey Hey, My
 My (Into The Black)"
Date: Fri, 25 Dec 2020 20:37:49 +0100
In-Reply-To: <83ft3unww5.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 25 Dec
 2020 09:54:34 +0200")
Message-ID: <87a6u1fzhu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > FAILED 23/32
 package-test-macro-compilation
 (0.953125 sec) I'm getting this failure instead (on a brand new msys2/mingw
 installation): 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>      FAILED  23/32  package-test-macro-compilation (0.953125 sec)

I'm getting this failure instead (on a brand new msys2/mingw
installation): 

1 unexpected results:
   FAILED  package-test-signed

> I'm happy to provide more details if needed, or debug this more given
> some instructions.

I'm pretty unfamiliar with package.el and wholly unfamiliar with
Windows, so I'll leave that to somebody else.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 25 Dec 2020 07:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 02:55:01 2020
Received: from localhost ([127.0.0.1]:56713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kshwC-0001gM-MD
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 02:55:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1kshwA-0001g1-1a; Fri, 25 Dec 2020 02:54:59 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54119)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kshw4-0000ME-Kz; Fri, 25 Dec 2020 02:54:52 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4175
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kshw3-0000QY-Ct; Fri, 25 Dec 2020 02:54:52 -0500
Date: Fri, 25 Dec 2020 09:54:34 +0200
Message-Id: <83ft3unww5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wnx6flft.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 25 Dec 2020 07:29:10 +0100)
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN> <87wnx6flft.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37615 <at> debbugs.gnu.org,  42534 <at> debbugs.gnu.org
> Date: Fri, 25 Dec 2020 07:29:10 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I just did the obvious:
> >
> >   cd test
> >   make lisp/emacs-lisp/package-tests.log
> 
> [...]
> 
> >      FAILED  13/21  package-test-macro-compilation (0.796875 sec)
> >
> > In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
> 
> I tried this (with mingw64) in Emacs 28, and this test didn't fail for
> me.  Are you still seeing this?

Yes (with current master).  I get this in the failure message:

  Test package-test-macro-compilation condition:
      (ert-test-failed
       ((should
	 (equal
	  (macro-problem-func)
	  '...))
	:form
	(equal
	 (progn a b)
	 (1 b))
	:value nil :explanation
	(proper-lists-of-different-length 3 2
					  (progn a b)
					  (1 b)
					  first-mismatch-at 0)))
     FAILED  23/32  package-test-macro-compilation (0.953125 sec)

I'm happy to provide more details if needed, or debug this more given
some instructions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 25 Dec 2020 06:29:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 01:29:23 2020
Received: from localhost ([127.0.0.1]:56619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ksgbK-0003Zv-Rp
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2020 01:29:23 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1ksgbI-0003Zd-WE; Fri, 25 Dec 2020 01:29:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mh9B3ky9a9rpERhnNrXVpnZ9iLzzwMDWM/5ELX6tG/Q=; b=RYjuxvShvCZ73JoCYOUTalJKiU
 cca4DsV8BK4OuT6YwFQlB5rOHLDmviHfkWb7G1nl2Rrp3AjLTO89k9KGy0yKyJORI+zVK708Q+Rjw
 Pl3QKgGICve8L2ZZSeXFUPCLrM2kSc/+BZMwurv3Drt0IVdU0whmhPdEKHAvdjUSfhzc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ksgbA-0007Oh-56; Fri, 25 Dec 2020 07:29:15 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42534: 28.0.50; package-test-macro-compilation test fails
 on macOS
References: <83tv8p53oq.fsf@HIDDEN>
X-Now-Playing: Lal & Mike Waterson's _Bright Phoebus_: "Child among the weeds "
Date: Fri, 25 Dec 2020 07:29:10 +0100
In-Reply-To: <83tv8p53oq.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 04 Oct
 2019 11:13:09 +0300")
Message-ID: <87wnx6flft.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > I just did the
 obvious:
 > > cd test > make lisp/emacs-lisp/package-tests.log [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37615
Cc: 42534 <at> debbugs.gnu.org, 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I just did the obvious:
>
>   cd test
>   make lisp/emacs-lisp/package-tests.log

[...]

>      FAILED  13/21  package-test-macro-compilation (0.796875 sec)
>
> In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)

I tried this (with mingw64) in Emacs 28, and this test didn't fail for
me.  Are you still seeing this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.
Forcibly Merged 37615 42534. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 4 Oct 2019 08:55:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:55:33 2019
Received: from localhost ([127.0.0.1]:41733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGJN7-0003iu-3w
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:55:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGJN4-0003ig-Q3
 for 37615 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:55:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60151)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGJMy-0007sY-89; Fri, 04 Oct 2019 04:55:24 -0400
Received: from [176.228.60.248] (port=4539 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iGJMq-0000GF-LO; Fri, 04 Oct 2019 04:55:17 -0400
Date: Fri, 04 Oct 2019 11:55:03 +0300
Message-Id: <83r23s6gbc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkmm+0ZKb5Wbt5dJUNfEh+kTPnWZ-07Q5oCH3xxey0O-Gbw@HIDDEN>
 (message from Stefan Kangas on Fri, 4 Oct 2019 10:23:45 +0200)
Subject: Re: bug#37615: 27.0.50; package-test-macro-compilation fails
References: <83tv8p53oq.fsf@HIDDEN>
 <CADwFkmm+0ZKb5Wbt5dJUNfEh+kTPnWZ-07Q5oCH3xxey0O-Gbw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37615
Cc: 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Fri, 4 Oct 2019 10:23:45 +0200
> Cc: 37615 <at> debbugs.gnu.org
> 
> >   cd test
> >   make lisp/emacs-lisp/package-tests.log
> >
> > and got this:
> [...]
> >      FAILED  13/21  package-test-macro-compilation (0.796875 sec)
> >
> > In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
> >  of 2019-10-04 built on HOME-C4E4A596F7
> 
> Could this be MS-Windows specific?  I'm not seeing it here, on GNU/Linux.

Could be.  Do you know where should I look and what additional details
to send?

In general, this test is too noisy and displays a lot of messages that
fill the screen and make it hard to find relevant parts.  So maybe I'm
missing some important clue.  For example, is any of the below related
or not?

    INFO     Scraping files for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el...
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-aux.el...
  ~/macro-problem-2.0/macro-problem-autoloads.el and c:/Documents and Settings/Zaretzky/Local Settings/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el are the same file
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-aux.el...done
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem.el...
  ~/macro-problem-2.0/macro-problem-autoloads.el and c:/Documents and Settings/Zaretzky/Local Settings/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el are the same file
  Generating autoloads for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem.el...done
    INFO     Scraping files for ../../../../../../DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el...done
  Wrote c:/Documents and Settings/Zaretzky/Local Settings/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el
  Checking c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-aux.el...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-autoloads.el...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem-pkg.el...
  Compiling c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/pkg-test-user-dir-A1WA70/macro-problem-2.0/macro-problem.el...

  In macro-problem-10-and-90:
  macro-problem.el:27:45:Warning: reference to free variable `hehe'

  In end of data:
  macro-problem.el:31:1:Warning: the function `macro-aux-3' is not known to be
      defined.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 4 Oct 2019 08:47:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:47:13 2019
Received: from localhost ([127.0.0.1]:41720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGJF3-0003Wm-HC
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:47:13 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:45928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iGJF2-0003WZ-9H
 for 37615 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:47:12 -0400
Received: by mail-wr1-f43.google.com with SMTP id r5so6033811wrm.12
 for <37615 <at> debbugs.gnu.org>; Fri, 04 Oct 2019 01:47:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=TEQVcOVM2iEmunHnesyD0T/tePA5MmhTbdLnHLm0Dmk=;
 b=CJ0IL86uyHo8bzhrtuzYGNAE7qX6vPYByfSfNUVkpg7Z7mNbxK4TF3TJah8PK9al4x
 8Gc9PHhs9qy7OF0s93OiGwSemapJ03BhVeNsflaAtQLN17QsP+aTLqRrXQ4BndAzSpDS
 bb4+na6euCV5QL5ZiY/bfZ6fhiMmb4Dp0Qg2QqIm+EFyIlMz3z5PO3c1SBqcVssu9hcc
 bZelGnj7aMU8MlwlMnb3ACzyGETxVovD9nWyQUE4qZg/BENjnR2UHNxaVqqjUBocJFhI
 xLYGSHC3lSblf56JqBuy+0VFA4Uua8nfOA+QlR3veUn1tPa7JISKhQd6HOJMRsd26jKj
 BaJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=TEQVcOVM2iEmunHnesyD0T/tePA5MmhTbdLnHLm0Dmk=;
 b=KQuLhZqZO6uxyJvHAFJRvrjNAYy641qtspUmWFkHRHpWI4ZqwH1fR0tHq9D4LqPkF1
 8nQTZRvOk1Nw87lCRVY1jK5oVXo3uxg2b3QgV8vdm8ZwxCP0EfNckWQ4yY6vjIpwSnCN
 cifnbSeHVR5cokA5Qz0u/+b4b98SPiQHJSnbyXOrzy+sIdgF0n4mRn3jYoKKic+sR4BO
 ksQva3VDgempbVE6q1v3oZSLlidKPpBvzn6oWhPcqZBn9axH5l/xcXei8Y23rzkITvOn
 LLZS479TTtgGCnjc/FAZSQ1WeHhYLVnEGNcNi+rbz682ZueY+ce+7b5gK4DcwsmraUrR
 eqhg==
X-Gm-Message-State: APjAAAX0D0v7sokMSj9hUmu1RzAQLHAQ93+owtV12EDGpofaxnaS5a/J
 eMnnWf9eXjIs/iw4BmbxUnjXq40Miyk=
X-Google-Smtp-Source: APXvYqwtij2j4jE91oLYyV0iIhM2cd7Zm+ZQClOz/YvDg6PpAegmLZe+wzsbbkgjatvpkgNKQ0Zc4w==
X-Received: by 2002:adf:8444:: with SMTP id 62mr10458520wrf.202.1570178825655; 
 Fri, 04 Oct 2019 01:47:05 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:5190:2f16:55a6:136])
 by smtp.gmail.com with ESMTPSA id b186sm11411842wmd.16.2019.10.04.01.47.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 04 Oct 2019 01:47:05 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37615: 27.0.50; package-test-macro-compilation fails
References: <83tv8p53oq.fsf@HIDDEN>
 <CADwFkmm+0ZKb5Wbt5dJUNfEh+kTPnWZ-07Q5oCH3xxey0O-Gbw@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 04 Oct 2019 10:47:04 +0200
In-Reply-To: <CADwFkmm+0ZKb5Wbt5dJUNfEh+kTPnWZ-07Q5oCH3xxey0O-Gbw@HIDDEN>
 (Stefan Kangas's message of "Fri, 4 Oct 2019 10:23:45 +0200")
Message-ID: <m2o8ywc2yf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37615
Cc: Eli Zaretskii <eliz@HIDDEN>, 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 4 Oct 2019 10:23:45 +0200, Stefan Kangas <stefan@HIDDEN> =
said:

    Stefan> Eli Zaretskii <eliz@HIDDEN> writes:
    >> I just did the obvious:
    >>=20
    >> cd test
    >> make lisp/emacs-lisp/package-tests.log
    >>=20
    >> and got this:
    Stefan> [...]
    >> FAILED  13/21  package-test-macro-compilation (0.796875 sec)
    >>=20
    >> In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
    >> of 2019-10-04 built on HOME-C4E4A596F7

    Stefan> Could this be MS-Windows specific?  I'm not seeing it here, on =
GNU/Linux.

I=CA=BCm seeing it on macOS (and make bootstrap fails....)

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at 37615 <at> debbugs.gnu.org:


Received: (at 37615) by debbugs.gnu.org; 4 Oct 2019 08:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:24:04 2019
Received: from localhost ([127.0.0.1]:41703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGIse-0002yg-Kk
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:24:04 -0400
Received: from mail-pg1-f173.google.com ([209.85.215.173]:34491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iGIsd-0002yC-Da
 for 37615 <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:24:03 -0400
Received: by mail-pg1-f173.google.com with SMTP id y35so3367297pgl.1
 for <37615 <at> debbugs.gnu.org>; Fri, 04 Oct 2019 01:24:03 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=xLxTV+fPViqboks2VrNmgR67PCWbewzSKqXg+8RdQZA=;
 b=c+nISW/dlbNR4eeuzbQVTKg4wjBZEryBQZpw+JsV4ReFOrDSkkFJfMX7xg1NmhKXMn
 vlDhb5Bf+OxOt/8dZJKLUgxT9URue6tcBwOrr34P05jkbwVisGMAxH3BgINFJ3XJgmjr
 3lVCT2kjtV37F2lLT2xDUvOnuHfM8HML0H7UKsz9h1cB0QXBE0vGYFQeO+V78K0ri2qG
 p+XntQ9tBbysyKkc8l73COVWFHt0z2PuBqi81JktEh31X47bXSWN/B+NNhNxGLjrJqBW
 j3Adq4aOZHr/XsYBATbnP2ST/M/LZl9R7apLQYmtqTO4LhAfkZm1zPOw9adMg+3mBRQi
 uayg==
X-Gm-Message-State: APjAAAWz46VjV2nwIh9jeaQAmSaV/DX8dNQu1/eSehnr9dCxvyOSIzlD
 tnMzjoYJyLlYXHWLWxBGqqlWEQn9uCMDdaHXyp4=
X-Google-Smtp-Source: APXvYqyhEww1hYcZzD91FfYE7xXIpGe32rHJ2H1NbvPL7husptFocjhyxn/38RQE2ZqdBlwEhKItV6c7vuzxUraQ7Rs=
X-Received: by 2002:a17:90a:cc08:: with SMTP id
 b8mr15477186pju.119.1570177437439; 
 Fri, 04 Oct 2019 01:23:57 -0700 (PDT)
MIME-Version: 1.0
References: <83tv8p53oq.fsf@HIDDEN>
In-Reply-To: <83tv8p53oq.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 4 Oct 2019 10:23:45 +0200
Message-ID: <CADwFkmm+0ZKb5Wbt5dJUNfEh+kTPnWZ-07Q5oCH3xxey0O-Gbw@HIDDEN>
Subject: Re: bug#37615: 27.0.50; package-test-macro-compilation fails
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37615
Cc: 37615 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> I just did the obvious:
>
>   cd test
>   make lisp/emacs-lisp/package-tests.log
>
> and got this:
[...]
>      FAILED  13/21  package-test-macro-compilation (0.796875 sec)
>
> In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
>  of 2019-10-04 built on HOME-C4E4A596F7

Could this be MS-Windows specific?  I'm not seeing it here, on GNU/Linux.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2019 08:13:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 04 04:13:28 2019
Received: from localhost ([127.0.0.1]:41689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGIiM-0002hr-34
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:13:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:52931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGIiK-0002hj-64
 for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 04:13:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38125)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>) id 1iGIiI-0002Wx-Nl
 for bug-gnu-emacs@HIDDEN; Fri, 04 Oct 2019 04:13:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59288)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGIiI-0000ML-JY
 for bug-gnu-emacs@HIDDEN; Fri, 04 Oct 2019 04:13:22 -0400
Received: from [176.228.60.248] (port=1913 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>) id 1iGIiH-0006AO-Vp
 for bug-gnu-emacs@HIDDEN; Fri, 04 Oct 2019 04:13:22 -0400
Date: Fri, 04 Oct 2019 11:13:09 +0300
Message-Id: <83tv8p53oq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; package-test-macro-compilation fails
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I just did the obvious:

  cd test
  make lisp/emacs-lisp/package-tests.log

and got this:

  Test package-test-macro-compilation backtrace:
    signal(ert-test-failed (((should (equal (macro-problem-func) '(1 b))
    ert-fail(((should (equal (macro-problem-func) '(1 b))) :form (equal
    (if (unwind-protect (setq value-77 (apply fn-75 args-76)) (setq form
    (let (form-description-79) (if (unwind-protect (setq value-77 (apply
    (let ((value-77 'ert-form-evaluation-aborted-78)) (let (form-descrip
    (let* ((fn-75 #'equal) (args-76 (condition-case err (let ((signal-ho
    (progn nil (package-install-file (expand-file-name "macro-problem-pa
    (unwind-protect (progn nil (package-install-file (expand-file-name "
    (save-current-buffer (set-buffer temp-buffer) (unwind-protect (progn
    (let ((temp-buffer (generate-new-buffer " *temp*"))) (save-current-b
    (progn (fset 'y-or-n-p vnew) (fset 'yes-or-no-p vnew) (let ((temp-bu
    (unwind-protect (progn (fset 'y-or-n-p vnew) (fset 'yes-or-no-p vnew
    (let* ((vnew #'(lambda (&rest r) t)) (vnew #'(lambda (&rest r) t)) (
    (progn (cd "package-resources") (if (file-directory-p package-user-d
    (unwind-protect (progn (cd "package-resources") (if (file-directory-
    (let* ((package-test-user-dir (make-temp-file "pkg-test-user-dir-" t
    (lambda nil (let* ((package-test-user-dir (make-temp-file "pkg-test-
    ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
    ert-run-test(#s(ert-test :name package-test-macro-compilation :docum
    ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
    ert-run-tests((not (tag :unstable)) #f(compiled-function (event-type
    ert-run-tests-batch((not (tag :unstable)))
    ert-run-tests-batch-and-exit((not (tag :unstable)))
    eval((ert-run-tests-batch-and-exit '(not (tag :unstable))) t)
    command-line-1((#("-L" 0 2 (charset cp862)) #(";." 0 2 (charset cp86
    command-line()
    normal-top-level()
  Test package-test-macro-compilation condition:
      (ert-test-failed
       ((should
	 (equal
	  (macro-problem-func)
	  '...))
	:form
	(equal
	 (progn a b)
	 (1 b))
	:value nil :explanation
	(proper-lists-of-different-length 3 2
					  (progn a b)
					  (1 b)
					  first-mismatch-at 0)))
     FAILED  13/21  package-test-macro-compilation (0.796875 sec)

In GNU Emacs 27.0.50 (build 1452, i686-pc-mingw32)
 of 2019-10-04 built on HOME-C4E4A596F7
Repository revision: 3886a5c140b03f07c8faea7cacad0a791bc54fa5
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure -C --prefix=/d/usr --with-wide-int --with-modules
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -gdwarf-4 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 50864 9234)
 (symbols 48 7160 1)
 (strings 16 18763 2090)
 (string-bytes 1 528068)
 (vectors 16 9862)
 (vector-slots 8 129461 7294)
 (floats 8 21 35)
 (intervals 40 258 0)
 (buffers 888 11))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37615; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 26 Dec 2020 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.